Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.swing
Interface IMenuDragMouse

All Known Implementing Classes:
  FCheckBoxMenuItem, FMenu, FMenuItem, FRadioButtonMenuItem

public interface IMenuDragMouse

Interface fuer MenuDragMouseEvents. Hier wird die Schnittstelle zwischen Control und ActionManager fuer MenuDragMouseEvents festgelegt.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Method Summary
`void` | `addMenuDragMouseListener(MenuDragMouseListener listener)` Fuegt dem Control den uebergebenen Listener als MenuDragMouseListener hinzu.
`String` | `getActionClassForMenuDragMouse()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein MenuDragMouseEvent ausgeloest wurde.
`void` | `removeMenuDragMouseListener(MenuDragMouseListener listener)` Entfernt den Listener aus dem Control.
`void` | `setActionClassForMenuDragMouse(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein MenuDragMouseEvent ausgeloest wurde.

Method Detail

### getActionClassForMenuDragMouse

    public String getActionClassForMenuDragMouse()

  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein MenuDragMouseEvent ausgeloest wurde.

  Returns:
    Der Name der Actionklasse fuer MenuDragMouseEvent.

### setActionClassForMenuDragMouse

    public void setActionClassForMenuDragMouse(String actionClassName)

  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein MenuDragMouseEvent ausgeloest wurde.

  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer MenuDragMouseEvent.

### addMenuDragMouseListener

    public void addMenuDragMouseListener(MenuDragMouseListener listener)

  Fuegt dem Control den uebergebenen Listener als MenuDragMouseListener hinzu.

  Parameters:
    `listener` - Der hinzuzufuegende MenuDragMouseListener.

### removeMenuDragMouseListener

    public void removeMenuDragMouseListener(MenuDragMouseListener listener)

  Entfernt den Listener aus dem Control.

  Parameters:
    `listener` - Der zu entfernende Listener.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD